baz_overlap.h File Reference
`#include <gnuradio/block.h>`
Include dependency graph for baz_overlap.h:

Go to the source code of this file.

## Classes

class | baz_overlap
| square2 a stream of floats. More...

## Functions

BAZ_API baz_overlap_sptr | baz_make_overlap (int item_size, int vlen, int overlap)
| Return a shared_ptr to a new instance of baz_pow_cc. More...

## Variables

class BAZ_API | baz_overlap

## Function Documentation

## baz_make_overlap()

BAZ_API baz_overlap_sptr baz_make_overlap | ( | int | item_size,
|  | int | vlen,
|  | int | overlap
| ) |  |

Return a shared_ptr to a new instance of baz_pow_cc.

To avoid accidental use of raw pointers, baz_pow_cc's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

## Variable Documentation

## baz_overlap

class BAZ_API baz_overlap